---
galaxy_info:
  role_name: ynh_backup
  author: lydra
  description: Backup Yunohost with Ansible
  license: GPL-v3
  min_ansible_version: 2.10
  github_branch: main
  platforms:
    - name: Debian
      versions:
        - buster
  galaxy_tags:
    - yunohost
    - cloud
    - web

dependencies:
  - role: m3nu.ansible_role_borgbackup
    vars:
      borgmatic_config_name: "borg_remote_repo"
      borg_encryption_passphrase: "{{ borg_remote_repo_encryption_passphrase }}"
      borg_repository: "{{ borg_remote_repository }}"
      borg_retention_policy:
        keep_daily: "{{ borg_number_days_to_keep }}"
        keep_weekly: "{{ borg_number_weeks_to_keep }}"
        keep_monthly: "{{ borg_number_months_to_keep }}"
      
